INTRODUCTION
------------

This module adds white label functionality to Drupal by allowing certain roles
to upload custom logo's and color schemes. Color schemes require a theme that is
compatible with core's color module.

 * For a full description of the module, visit the project page:
   https://drupal.org/project/whitelabel

 * To submit bug reports and feature suggestions, or to track changes:
   https://drupal.org/project/issues/whitelabel


REQUIREMENTS
------------

None.


RECOMMENDED MODULES
-------------------

 * Color (Drupal core):
   When enabled, users can create custom color schemes (if the theme supports 
   this).


INSTALLATION
------------

 * Install as you would normally install a contributed Drupal module. See:
   https://drupal.org/documentation/install/modules-themes/modules-7
   for further information.
   
 * If you want to use the domain prefixing mode, you'll have to define the 
   'main' domain part to keep in settings.php. So if you want the sub-domains to
    be `<something>.example.com`. Add this to settings.php:
    
       $conf['whitelabel_domain'] = 'example.com';
       
    If you want to use `<something>.my.example.com`, use:
    
       $conf['whitelabel_domain'] = 'my.example.com';
   
 * In order for the Drupal cache to work properly, you will also have to add the 
   following lines to your settings.php file:
  
       // Enables white label page database cache.
       $conf['cache_backends'][] = 'sites/all/modules/whitelabel/cache/whitelabel_cache.inc';
       $conf['cache_class_cache_page'] = 'WhitelabelCache';
   
   This forces Drupal to use the database cache for pages, but the logic in the 
   class includes the whitelabel token into the cache id (cid) so different 
   versions of the same page can be stored.

CONFIGURATION
-------------

 * Users allowed to send white labelled links require the 'Serve white label 
   pages' permission. This also unlocks the whitelabel options in their user 
   profiles.
   
   * Configure user permissions in Administration » People » Permissions.

 * The global permissions for this module define the white label mode (either 
   with a query parameter of with a domain prefix), as well as the global 
   permissions for all white label users.
 
    * Configure permissions in Administration » Configuration » User Interface 
    » White label.


USING A DOMAIN PREFIX
---------------------

In order to be able to use this module in domain prefix mode, you require a
white label DNS record. Additionally if your website is running on SSL, you 
might need a white label SSL certificate as well.
