<?php
/**
 * @file
 * A Views handler for displaying a white label logo.
 */

class whitelabel_field_handler_logo extends views_handler_field {

  function option_definition() {
    $options = parent::option_definition();
    $options['image_style'] = array('default' => '');

    return $options;
  }

  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    if (module_exists('image')) {
      $form['image_style'] = array(
        '#type' => 'select',
        '#title' => t('Image style'),
        '#options' => image_style_options(),
        '#default_value' => $this->options['image_style'],
      );
    }
  }

  function render($values) {
    if (($value = $this->get_value($values)) && $file = file_load($value)) {
      if ($this->options['image_style']) {
        $variables = array(
          'path' => $file->uri,
          'style_name' => $this->options['image_style'],
        );

        return theme('image_style', $variables);
      }
      else {
        $variables = array(
          'path' => $file->uri,
        );

        return theme('image', $variables);
      }
    }
  }
}
