<?php
/**
 * Created by PhpStorm.
 * User: Robin
 * Date: 13-12-2015
 * Time: 17:36
 */

/**
 * Implements hook_form().
 */
function whitelabel_admin_form($form, &$form_state) {

  $whitelabel_mode_options = array(
    WHITELABEL_MODE_TOKEN => t('URL parameter'),
    WHITELABEL_MODE_DOMAIN => t('Domain (Does not work when combined with other domain prefixing methods like localization.) Requires a white label DNS record.'),
  );

  $form['whitelabel_mode'] = array(
    '#type' => 'radios',
    '#title' => t('White label mode'),
    '#default_value' => variable_get('whitelabel_mode', WHITELABEL_MODE_TOKEN),
    '#options' => $whitelabel_mode_options,
    '#description' => t("Choose how white label should detect the referrer. URL parameter: Adds 'wl=&lt;token&gt;' to the query string. Domain: Uses a subdomain like &lt;user&gt;.example.com"),
  );

  $form['whitelabel_enable_site_name'] = array(
    '#type' => 'checkbox',
    '#title' => t('Allow users to override the site name.'),
    '#default_value' => variable_get('whitelabel_enable_site_name', 1),
    '#description' => t('Allows users with the right permissions to alter the site name.'),
  );

  $form['whitelabel_enable_site_name_display'] = array(
    '#type' => 'checkbox',
    '#title' => t('Allow users to toggle the site name display.'),
    '#default_value' => variable_get('whitelabel_enable_site_name_display', 1),
    '#description' => t('Allows users with the right permissions to toggle the site name visibility in the theme layer.'),
  );

  $form['whitelabel_enable_site_logo'] = array(
    '#type' => 'checkbox',
    '#title' => t('Allow users to override the site logo.'),
    '#default_value' => variable_get('whitelabel_enable_site_logo', 1),
    '#description' => t('Allows users with the right permissions to alter the site logo.'),
  );

  $form['whitelabel_enable_site_colors'] = array(
    '#type' => 'checkbox',
    '#title' => t('Allow users to override the site color scheme.'),
    '#default_value' => variable_get('whitelabel_enable_site_colors', 1),
    '#description' => t('Allows users with the right permissions to alter the theme color scheme. This requires the color module to be enabled.'),
  );

  return system_settings_form($form);
}
